Package be.fgov.ehealth.hubservices.core.v2

# Class RequestPublicationRequest

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.RequestPublicationRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class RequestPublicationRequest extends Object implements Serializable

Java class for RequestPublicationRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RequestPublicationRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
             <element name="select" type="{http://www.ehealth.fgov.be/hubservices/core/v2}SelectRequestPublicationType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestPublicationRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestType`
  `getRequest()`
  Gets the value of the request property.
  `SelectRequestPublicationType`
  `getSelect()`
  Gets the value of the select property.
  `void`
  `setRequest(RequestType value)`
  Sets the value of the request property.
  `void`
  `setSelect(SelectRequestPublicationType value)`
  Sets the value of the select property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RequestPublicationRequest

    public RequestPublicationRequest()

- ## Method Details

  - ### getRequest

    public RequestType getRequest()
    Gets the value of the request property.
    Returns:
      possible object is `RequestType`

  - ### setRequest

    public void setRequest(RequestType value)
    Sets the value of the request property.
    Parameters:
      `value` - allowed object is `RequestType`

  - ### getSelect

    public SelectRequestPublicationType getSelect()
    Gets the value of the select property.
    Returns:
      possible object is `SelectRequestPublicationType`

  - ### setSelect

    public void setSelect(SelectRequestPublicationType value)
    Sets the value of the select property.
    Parameters:
      `value` - allowed object is `SelectRequestPublicationType`